## com.sun.jna.platform.win32
Class Kernel32Util

    java.lang.Object
      com.sun.jna.platform.win32.Kernel32Util

    public abstract class Kernel32Util

extends java.lang.Object

Kernel32 utility API.

Constructor Summary
`Kernel32Util()`

Method Summary
`static java.lang.String` `formatMessageFromHR(W32API.HRESULT code)` Format a message from an HRESULT.
`static java.lang.String` `formatMessageFromLastErrorCode(int code)` Format a system message from an error code.
`static java.lang.String` `getComputerName()` Get current computer NetBIOS name.
`static java.lang.String` `getTempPath()` Return the path designated for temporary files.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Kernel32Util

    public Kernel32Util()

Method Detail

### getComputerName

    public static java.lang.String getComputerName()

  Get current computer NetBIOS name.

  Returns:
    Netbios name.

### formatMessageFromHR

    public static java.lang.String formatMessageFromHR(W32API.HRESULT code)

  Format a message from an HRESULT.

  Parameters:
    `code` - HRESULT
  Returns:
    Formatted message.

### formatMessageFromLastErrorCode

    public static java.lang.String formatMessageFromLastErrorCode(int code)

  Format a system message from an error code.

  Parameters:
    `code` - Error code, typically a result of GetLastError.
  Returns:
    Formatted message.

### getTempPath

    public static java.lang.String getTempPath()

  Return the path designated for temporary files.

  Returns:
    Path.